"use strict";
/**
 * File: run-command.ts
 * Description: 执行命令
 * Created: 2021-10-01 19:56:40
 * Author: yuzhanglong
 * Email: yuzl1123@163.com
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.runCommand = void 0;
const execa_1 = __importDefault(require("execa"));
const runCommand = async (command, args, path) => {
    let p = path;
    if (!p)
        p = process.cwd();
    if (!args) {
        // \s 匹配任何空白字符，包括空格、制表符、换页符
        [command, ...args] = command.split(/\s+/);
    }
    return execa_1.default(command, args, {
        cwd: p,
        stdio: 'inherit',
    });
};
exports.runCommand = runCommand;
//# sourceMappingURL=run-command.js.map